package com.logicbig.example;

import org.yaml.snakeyaml.Yaml;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import java.util.Map;

public class LoadMapList {
    public static void main(String[] args) throws IOException {
        loadFromFile("/fruitsGroup.yml");
    }

    private static void loadFromFile(String path) throws IOException {
        System.out.printf("-- loading from %s --%n", path);
        Yaml yaml = new Yaml();
        try (InputStream in = LoadMapList.class.getResourceAsStream(path)) {
            Iterable<Object> itr = yaml.loadAll(in);
            for (Object o : itr) {
                System.out.println("Loaded object type:" + o.getClass());
                Map<String, List<String>> map = (Map<String, List<String>>) o;
                System.out.println("-- the map --");
                System.out.println(map);
                System.out.println("-- iterating --");
                map.entrySet().forEach((e) -> {
                    System.out.println("key: " + e.getKey());
                    System.out.println("values:");
                    List<String> list = e.getValue();
                    for (String s : list) {
                        System.out.println(s);
                    }
                });
            }
        }
    }
}